%define _modulesdir %_libdir/X11/modules

Name: xorg-drv-vesa
Version: 2.0.0
Release: alt1.M41.1
Serial: 1
Summary: Generic VESA video driver
License: MIT/X11
Group: System/X11
Url: http://xorg.freedesktop.org
Packager: Valery Inozemtsev <shrek@altlinux.ru>

PreReq: XORG_ABI_VIDEODRV = %get_xorg_abi_videodrv
Provides: xorg-x11-drv-vesa = %serial:%version-%release
Obsoletes: xorg-x11-drv-vesa

Source: %name-%version.tar
Patch: %name-%version-%release.patch

BuildRequires: xorg-sdk xorg-proto-devel xorg-util-macros

%description
vesa is an Xorg driver for generic VESA video cards.  It can
drive most VESA-compatible video cards, but only makes use of the basic
standard  VESA core that is common to these cards.  The driver supports
depths 8, 15 16 and 24.

%prep
%setup -q
%patch -p1

%build
%autoreconf
%configure \
	--with-xorg-module-dir=%_modulesdir \
	--disable-static

%make_build

%install
%make DESTDIR=%buildroot install

%files
%dir %_modulesdir/drivers
%_modulesdir/drivers/*.so
%_man4dir/*

%changelog
* Mon Aug 25 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:2.0.0-alt1.M41.1
- build for branch 4.1

* Sun Aug 24 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:2.0.0-alt2
- fixed mode check (close #16872)

* Tue Jul 01 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:2.0.0-alt1
- 2.0.0

* Fri Jun 13 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:1.99.1-alt1
- 1.99.1

* Mon Jun 02 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:1.3.0-alt5
- renamed xorg-x11-drv-vesa to xorg-drv-vesa
- added requires XORG_ABI_VIDEODRV = 2.0

* Thu Apr 03 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:1.3.0-alt4
- death to mfb

* Mon Sep 10 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:1.3.0-alt3
- rebuild with xorg-server-1.4

* Sun Jul 15 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:1.3.0-alt2
- merged RH patches (close #12215)

* Fri Dec 01 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.3.0-alt1
- 1.3.0

* Sat Oct 14 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.2.2-alt1
- 1.2.2

* Sat Jun 03 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.2.1-alt1
- 1.2.1

* Fri May 19 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.2.0-alt1
- 1.2.0

* Sat May 13 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.1.0-alt2
- prereq xorg-x11-server-common >= 1.0.99.901

* Fri Apr 21 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.1.0-alt1
- 1.1.0

* Mon Jan 23 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.1.3-alt2
- fixed requires

* Wed Dec 28 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.1.3-alt1
- Xorg-7.0

* Sun Dec 04 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.1.1-alt1
- Xorg-7.0RC3

* Sun Nov 27 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.1-alt0.1
- initial release

